Modbot Docs

Enable user

POST/api/users/{id}/enable

Re-enable a disabled account. Refused for an account whose highest role is not below yours.

Needs the ManageUsers permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/api/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/enable"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "username": "string",  "roles": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    }  ],  "permissionNames": [    "string"  ],  "isDisabled": true,  "isDeleted": true,  "vrChatLinked": true,  "vrChatUserId": null,  "vrChatDisplayName": null,  "email": null,  "discordUserId": null,  "discordUsername": null,  "discordProven": true,  "discordWorksUntil": null,  "createdAt": "2019-08-24T14:15:22Z",  "lastLoginAt": null,  "rank": null,  "rolesFromDiscord": null}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.